@import 'settings';
@import 'typography';

$smaller-nav-height: 660px;

.OverlayBlogNav {
    position: relative;
    display: block;

    & &__button {
        position: fixed;
        z-index: $zindex-overlay;
        top: 19px;
        right: 50px;
        background: $white;
        color: $body-font-color;
        border-color: transparent;

        .Icon {
            position: relative;
            top: 2px;
            padding-left: 5px;
            font-size: 20px;
            line-height: 0.6;
        }

        @media #{$mobile-only} {
            top: 11px;
            padding: 6px 10px 5px 10px;
        }
    }

    .BlogNav {
        width: 100%;
        max-width: 500px;
        padding: 60px 30px 20px 30px;
        margin: 0 auto;

        a,
        h4 {
            margin-bottom: 5px;
        }

        @media (max-height: $smaller-nav-height) {
            a,
            h4 {
                margin-bottom: 2px;
            }
        }
    }

    .BlogNav__nav {
        &:not(:first-of-type) {
            padding-top: 30px;
            margin-top: 30px;
            border-top: solid 1px $body-font-color;

            @media (max-height: $smaller-nav-height) {
                padding-top: 15px;
                margin-top: 15px;
            }
        }
    }

    @media #{$tablet-wide} {
        display: none;
    }
}
